Subject: Re: [PATCH 2/7] index-pack: remove redundant parameter

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Aug 2020 14:01:56 -0700

Jonathan Tan <[email-masked]> writes:

> find_{ref,ofs}_delta_{,children} take an enum object_type parameter, but
> the object type is already present in the name of the function. Remove
> that parameter from these functions.

Interesting.  

These "find children" are the only caller for each delta type and
they always pass OFS/REF constant that corresponds to them, so
find_*_delta() can lose the type.  But compare_*_delta_bases()
cannot, as the other one in the objects[] array may be of different
type.

Makes sense.  Thanks.